ModelKinetix Compatibility

 

[ModelMaker 4 | ModelManager Downloads | Compatibility | Support | Orders & Pricing | Enquiries | Resellers]

We are pleased to announce that the 32-bit version of ModelMaker, ModelMaker 4 has been tested and can be licensed and used in all recent versions of Windows including the 64-bit versions of Windows 7, 8, 8.1 and 10.   ModelMaker 4 and ModelManager both remain on sale and are fully supported by our company.   We would like to take this opportunity to thank the ModelKinetix community for their continuing support of the software.

ModelMaker 4 was originally developed to run on older versions of Windows.   The following notes are intended to assist users in installing and using ModelMaker4 on later versions of Windows and, in particular, on 64-bit Windows installations including Windows 7, 8, 8.1 and 10.

 ModelMaker 4 Compatibility Notes

ModelMaker 4 was originally released in 2000.   Although originally built for Windows 98, NT and 2000, the software has been tested and can be both licensed and used on all versions of Windows up to and including Windows 10.   We have tested the ModelMaker 4 on Windows 7, 8, 8.1 and 10 in 32-bit and 64-bit installations.   Although ModelMaker 4 is mostly built using 32-bit code its licensing component contains 16-bit elements.   These elements do cause some minor problems in 64-bit installations of Windows.   These have no impact on the ability to license or use the software.   We recommend using compatibility features available in Windows.   In Windows 7, 8, 8.1 and 10 these instructions should assist.

Always login as "administrator" (or any user with full administrative privileges, permissions and access rights) to install and license ModelMaker 4 on your computer. You will need administrative privileges and permissions to set up the software.

To "troubleshoot compatibility" follow these instructions on Windows 7, 8, 8.1 and 10:

  • Locate the executable in Windows Explorer in c:\Programme Files (x86)\Cherwell Scientific\ModelMaker 4 
  • Right click on mm.exe and select Troubleshoot Compatibility. 
  • Follow the wizard instructions - the programme should be automatically configured to run as if it were in Windows XP. 
  • If the Troubleshooting Wizard ends with the message "Incompatible Application" do not be concerned - the product will work normally once installed.

When you run ModelMaker 4 you will probably encounter the errors "Unsupported 16-bit application" and "Cannot Execute machnm1.exe" This is expected behaviour and this error may occur each time the software is started. This is a behaviour generated by the licensing tool used by ModelMaker 4 which is not fully compatible with later 64 bit versions of windows. Click OK to continue - ModelMaker 4 function is not affected by this error. You may also encounter a second error ("cannot register class") which will occur until the product is activated. This too can be ignored.

You should now be able to license and use Cyrillic as described in the Getting Started Guide and Manual.

Once installed, contact us with your user codes - we can issue activation codes for your new installation. Proof of purchase and payment is required before activation codes can be issued.

Some users of Windows 7 Professional and Ultimate editions (64-bit installations) have found Microsoft's "XP Mode" Windows XP emulation software to be useful for running older software including ModelMaker  and ModelManager.   Learn more about XP Mode [here].   Note that while Microsoft no longer supports Windows XP, the XP mode page and downloads are still made available by Microsoft.

The "Cannot Execute machnm1.exe" error can sometimes be fixed in earlier (usually 32-bit pre-2004) versions of Windows by applying the "MachFix" 16-bit subsystem fix.

You can test compatibility with your version of Windows by downloading one of our demos.   There is some good advice at "How To Geek" on how to run older software in more recent versions of Windows.


ModelManager Compatibility Notes

Users shoudl not encounter any compatibility problems in using ModelManager on older versions of Windows.   It will work on 32-bit Windows platforms that support 16-bit applications up to and including Windows 2000 and Windows XP.   It may also run in the 32-bit versions of Windows (Vista, 7, 8, 8.1 and 10) although this has not been tested by us.   We have not yet tested ModelManager with more recent 64-bit Windows versions but this work is scheduled - contact us if you need more information on ModelManager compatibility.   We are likely to complete tests on 64-bit Windows (Vista, 7, 8, 8.1 and 10) before the end of 2015.

Some users of Windows 7 Professional and Ultimate editions (64-bit installations) have found Microsoft's "XP Mode" Windows XP emulation software to be useful for running older software including Cyrillic versions 2 and 3.   Learn more about XP Mode [here].   Note that while Microsoft no longer supports Windows XP, the XP mode page and downloads are still made available by Microsoft.   

You can test compatibility with your version of Windows by downloading one of our demos.   There is some good advice at "How To Geek" on how to run older software in more recent versions of Windows.

Cherwell Scientific Logo [Small]